#Author: your.email@your.domain.com
#Keywords Summary :
#Feature: List of scenarios.
#Scenario: Business rule through list of steps with arguments.
#Given: Some precondition step
#When: Some key actions
#Then: To observe outcomes or validation
#And,But: To enumerate more Given,When,Then steps
#Scenario Outline: List of steps for data-driven as an Examples and <placeholder>
#Examples: Container for s table
#Background: List of steps run before each of the scenarios
#""" (Doc Strings)
#| (Data Tables)
#@ (Tags/Labels):To group Scenarios
#<> (placeholder)
#""
## (Comments)
#Sample Feature Definition Template

Feature: Login to Saucedemo
  I want to login Saucedemo so I can choose products

  
  Scenario Outline: Login success to Saucedemo
    Given I open Saucedemo  
    When I field <username> and <password>
    Then I success login

    Examples: 
      | username  			| password | 
      | standard_user 	| secret_sauce | 
      | locked_out_user | secret_sauce |
      
  Scenario Outline: Login failed to Saucedemo
    Given I open Saucedemo  
    When I field <username> and <password>
    And I click login button
    Then I see invalid username and password message
    

    Examples: 
      | username  			| password | 
      | standard_user 	| password123 | 
      | locked_out_user | password123 | 